### Hierarchy

- Core
  - ChainStack

## Index

### Constructors

- constructor

### Properties

- BatchRequest
- cs
- net
- provider
- providers
- requestManager
- utils
- providers

### Accessors

- currentProvider

### Methods

- buildCall
- setProvider

## Constructors

### constructor

- new ChainStack(provider: string | Provider, net?: any): ChainStack

- Overrides Core.constructor

  - Defined in index.ts:10

  #### Parameters

  - ##### provider: string | Provider

  - ##### Optional net: any

  #### Returns ChainStack

## Properties

### BatchRequest

BatchRequest: BatchManager

Inherited from Core.BatchRequest

- Defined in core/index.ts:13

### cs

cs: CS

- Defined in index.ts:9

### net

net: Net

- Defined in index.ts:10

### provider

provider: Provider

Inherited from Core.provider

- Defined in core/index.ts:10

### providers

providers: ProvidersInterface

Inherited from Core.providers

- Defined in core/index.ts:11

### requestManager

requestManager: RequestManager

Inherited from Core.requestManager

- Defined in core/index.ts:12

### utils

utils: any

- Defined in index.ts:8

### Static providers

providers: ProvidersInterface = RequestManager.providers

Inherited from Core.providers

- Defined in core/index.ts:9

## Accessors

### currentProvider

- get currentProvider(): any
- set currentProvider(value: any): void

- Inherited from Core.currentProvider

  - Defined in core/index.ts:28

  #### Returns any

- Inherited from Core.currentProvider

  - Defined in core/index.ts:32

  #### Parameters

  - ##### value: any

  #### Returns void

## Methods

### buildCall

- buildCall(options: MethodOptions): function

- Inherited from Core.buildCall

  - Defined in core/index.ts:41

  #### Parameters

  - ##### options: MethodOptions

  #### Returns function

  - - (...args: any[]): any

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any

### setProvider

- setProvider(provider: string | Provider, net?: any): void

- Overrides Core.setProvider

  - Defined in index.ts:18

  #### Parameters

  - ##### provider: string | Provider

  - ##### Optional net: any

  #### Returns void

Generated using TypeDoc